MilterManagerLaunchCommandDecoder
3
milter managerライブラリ

# MilterManagerLaunchCommandDecoder

## Functions

GQuark | milter_manager_launch_command_decoder_error_quark ()
MilterDecoder * | milter_manager_launch_command_decoder_new ()

## シグナル

void | launch | Run Last

## Types and Values

#define | MILTER_MANAGER_LAUNCH_COMMAND_DECODER_ERROR
enum | MilterManagerLaunchCommandDecoderError
struct | MilterManagerLaunchCommandDecoder
struct | MilterManagerLaunchCommandDecoderClass

## オブジェクト階層

        GEnum
        ╰── MilterManagerLaunchCommandDecoderError
        GObject
        ╰── MilterDecoder
            ╰── MilterManagerLaunchCommandDecoder

## 説明

## Functions

### milter_manager_launch_command_decoder_error_quark ()

    GQuark
    milter_manager_launch_command_decoder_error_quark
                                   (void);

### milter_manager_launch_command_decoder_new ()

    MilterDecoder *
    milter_manager_launch_command_decoder_new
                                   (void);

## Types and Values

### MILTER_MANAGER_LAUNCH_COMMAND_DECODER_ERROR

    #define MILTER_MANAGER_LAUNCH_COMMAND_DECODER_ERROR           (milter_manager_launch_command_decoder_error_quark())

### enum MilterManagerLaunchCommandDecoderError

#### Members

MILTER_MANAGER_LAUNCH_COMMAND_DECODER_ERROR_UNEXPECTED_COMMAND |  |

### struct MilterManagerLaunchCommandDecoder

    struct MilterManagerLaunchCommandDecoder;

### struct MilterManagerLaunchCommandDecoderClass

    struct MilterManagerLaunchCommandDecoderClass {
        MilterDecoderClass parent_class;

        void (*launch)    (MilterManagerLaunchCommandDecoder *decoder,
                           const gchar *command_line,
                           const gchar *user_name);
    };

## シグナル詳細

### The `“launch”` signal

    void
    user_function (MilterManagerLaunchCommandDecoder *miltermanagerlaunchcommanddecoder,
                   gchar                             *arg1,
                   gchar                             *arg2,
                   gpointer                           user_data)

Flags: Run Last